Skip to content

Unenroll an authenticator

Request

Identity Engine

Unenrolls an authenticator.

After you unenroll an authenticator, you're redirected to the redirect_uri. If a redirect_uri isn't set, then you're redirected to your default app. The default app can vary depending on your org. See Set up a default app redirect.

Note: If you use this API and you don't have an active session, you're prompted to sign in to your org before using it.

Path
enrollmentIdstringrequired

The id of the authenticator enrollment. Use the List all enrollments endpoint to find the enrollment ID.

Example:opfhw7iuh7Gxke4Zq5d7
Query
redirect_uristring

Specify a redirect URI where the end user is redirected after a successful operation. If no redirect URI is specified, the end user is redirected to the default app. You must add the redirect URI as a trusted origin.

Add a redirect_uri to your URL by using a ? operator.

Example:redirect_uri=https://example.com
GET
/idp/bootstrap/unenroll-authenticator/{enrollmentId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/idp/bootstrap/unenroll-authenticator/opfhw7iuh7Gxke4Zq5d7?redirect_uri=https%3A%2F%2Fexample.com'

Responses

Unenroll an authenticator

Bodytext/html
string

Redirected to the redirect_uri. Or, if no redirect_uri is set, redirected to the default app.

Response
string